package com.ruoyi.biz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 轮播图对象 ar_file_banner
 *
 * @author gwd
 * @date 2023-11-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ar_file_banner")
public class ArFileBanner extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * ossId
     */
    private Long ossId;
    /**
     * 地址
     */
    private String url;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private Long delFlag;

}
