package com.ruoyi.biz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 轮播图业务对象 ar_file_banner
 *
 * @author gwd
 * @date 2023-11-10
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ArFileBannerBo extends BaseEntity {

    /**
     * id
     */
    @NotNull(message = "id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * ossId
     */
    @NotNull(message = "ossId不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long ossId;

    /**
     * 地址
     */
    @NotBlank(message = "地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String url;


}
