package com.ruoyi.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;
import java.util.List;


/**
 * 分类视图对象 ar_classification
 *
 * @author gwd
 * @date 2023-11-10
 */
@Data
@ExcelIgnoreUnannotated
public class ArClassificationVo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    private Long id;

    /**
     * 分类名
     */
    @ExcelProperty(value = "分类名")
    private String name;

    /**
     * 父级id
     */
    @ExcelProperty(value = "父级id")
    private Long parentId;

    /**
     * 分类地址
     */
    @ExcelProperty(value = "分类地址")
    private String urlHref;

    /**
     * 图片地址
     */
    @ExcelProperty(value = "图片地址")
    private String urlImage;

    /**
     * 子级集合
     */
    private List<ArClassificationVo> list;
}
