package com.ruoyi.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 相册视图对象 ar_file_image
 *
 * @author gwd
 * @date 2023-07-11
 */
@Data
@ExcelIgnoreUnannotated
public class ArFileImageVo {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * ossId
     */
    @ExcelProperty(value = "ossId")
    private Long ossId;

    /**
     * userId
     */
    @ExcelProperty(value = "userId")
    private Long userId;

    /**
     * 地址
     */
    @ExcelProperty(value = "地址")
    private String url;

    /**
     * 类型：1.照片，2.视频
     */
    private Integer type;
}
