package com.ruoyi.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 用户使用记录视图对象 ar_user_record
 *
 * @author gwd
 * @date 2023-11-10
 */
@Data
@ExcelIgnoreUnannotated
public class ArUserRecordVo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    private Long id;

    /**
     * 用户id
     */
    @ExcelProperty(value = "用户id")
    private Long userId;

    /**
     * 分类id
     */
    @ExcelProperty(value = "分类id")
    private Long classificationId;


}
