package com.ruoyi.biz.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.biz.domain.ArUserRecord;
import com.ruoyi.biz.domain.vo.ArUserRecordVo;
import com.ruoyi.biz.domain.vo.ArUserVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户使用记录Mapper接口
 *
 * @author gwd
 * @date 2023-11-10
 */
public interface ArUserRecordMapper extends BaseMapperPlus<ArUserRecordMapper, ArUserRecord, ArUserRecordVo> {

    List<ArUserVo> selectUserVo(@Param("page") Page page, @Param(Constants.WRAPPER) Wrapper lqw);
}
