package com.ruoyi.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;



/**
 * 用户视图对象 ar_user
 *
 * @author ruoyi
 * @date 2023-06-27
 */
@Data
@ExcelIgnoreUnannotated
public class ArUserVo {

    private static final long serialVersionUID = 1L;

    /**
     *  id
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 昵称
     */
    @ExcelProperty(value = "昵称")
    private String name;

    /**
     * 手机号
     */
    @ExcelProperty(value = "手机号")
    private String phone;

    /**
     * 微信头像
     */
    @ExcelProperty(value = "微信头像")
    private String image;

    /**
     * openid
     */
    @ExcelProperty(value = "openid")
    private String openId;

    /**
     * 使用次数
     */
    private Integer count;
}
