package com.ruoyi.biz.mapper;

import com.ruoyi.biz.domain.ArStore;
import com.ruoyi.biz.domain.vo.ArStoreVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * 门店Mapper接口
 *
 * @author gwd
 * @date 2023-07-11
 */
public interface ArStoreMapper extends BaseMapperPlus<ArStoreMapper, ArStore, ArStoreVo> {

    List<ArStoreVo> getStoreList(@Param("latitude") BigDecimal latitude,@Param("longitude")  BigDecimal longitude);
}
